# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 Class Reference

`#include <PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1.hxx>`

Inheritance diagram for PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 ()
Standard_EXPORT | PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 (const PTopoDS_Shape1 &aValue)
Standard_EXPORT void | SetValue (const PTopoDS_Shape1 &aValue)
Standard_EXPORT Standard_Address | Value () const
| PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 (const Storage_stCONSTclCOM &a)
const PTopoDS_Shape1 & | _CSFDB_GetPTopoDS_VArrayNodeOfFieldOfHArray1OfShape1myValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PTopoDS_Shape1 | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 | ( |  | ) |

Standard_EXPORT PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 | ( | const PTopoDS_Shape1 & | aValue | ) |

PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopoDS_Shape1& PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::_CSFDB_GetPTopoDS_VArrayNodeOfFieldOfHArray1OfShape1myValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::SetValue | ( | const PTopoDS_Shape1 & | aValue | ) |

Standard_EXPORT Standard_Address PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::Value | ( |  | ) | const

## Field Documentation

PTopoDS_Shape1 PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1::myValue `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1.hxx